View Issue Details

IDProjectCategoryView StatusLast Update
0029298RunnerWindowsPublic2019-02-19 16:51
ReporterStewart BishopAssigned ToAlan Savage 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSWindows 10OS Version
Product Version2.1.4 
Target Version2.2.0Fixed in Version2.2.0 
Summary0029298: Windows: Game crashes with no code error when trying to play an audio file which does not exist in project
DescriptionWithin this specified project if you press space to interact with objBuyGun_Bullet then the runner will crash without any warning as to why in the current runtime, which didn't occur in the previous version of GMS2.
Steps To Reproduce1) Run the project
2) Press F1 when it starts
3) Move the avatar toward the pawn shop using the A key - you need to move far enough that "trade gun units" is shown on-screen, otherwise you're not in the correct plce to trigger the room change where the crash occurs.
4) Press space
5) Runner crashes
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.1.4.203
2.x Runtime Verified In2.2.1.291

Activities

Chris Harrison

2018-04-23 10:21

Developer   ~0058813

I reproduced it from the IDE using a pre-built runtime but it's working fine with a hand built runner so I'm guessing something's fixed it already.

Mike Dailly

2018-04-24 14:46

Developer   ~0058837

reproduced - Audio files are missing from the project, so we'll need to add a compiler error and refuse to compile/run when this happens.

Matthew McInnes

2019-02-19 16:51

Adminstrator   ~0063251

Closing. Verified as fixed in:

Beta IDE v2.2.2.393 Runtime v2.2.1.291